## NAME

           rt_task_suspend - suspend execution of a real-time task

## WARNING

           This is RTL v1.x compatibility function. Please do not use
           it for new programs.

## SYNOPSIS

           #define MODULE
           #include <linux/module.h>
           #include <linux/kernel.h>
           #include <linux/version.h>
           #include <linux/errno.h>
           #include <linux/rt_sched.h>

           int rt_task_suspend(RT_TASK *task);

## DESCRIPTION

           rt_task_suspend suspends execution of the  real-time  task
           task.   The task was previously marked for execution using
           rt_task_make_periodic.

           Unlike rt_task_wait, rt_task_suspend suspends execution of
           the  task  until  another call to rt_task_make_periodic is
           made.

## RETURN VALUE

           Always returns 0.

## ERRORS

           None.

## SEE ALSO

           rt_get_time(3),    rt_task_delete(3),     rt_task_init(3),
           rt_task_make_periodic(3),                 rt_task_wait(3),
           rt_task_wakeup(3)